Summary: The GNU version of the awk text processing utility.
Name: gawk
Version: 3.0.4
Release: 1
Copyright: GPL
Group: Applications/Text
Source0: ftp://prep.ai.mit.edu/pub/gnu/gawk-%{version}.tar.gz
Source1: ftp://prep.ai.mit.edu/pub/gnu/gawk-%{version}-ps.tar.gz
Patch: gawk-3.0-unaligned.patch
Prereq: /sbin/install-info
BuildRoot: /var/tmp/%{name}-root

%description
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

Install the gawk package if you need a text processing utility. Gawk is
considered to be a standard Linux tool for processing text.

%prep
%setup -q -b 1
%patch -p1

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=${RPM_BUILD_ROOT}%{_prefix} bindir=${RPM_BUILD_ROOT}/bin
strip ${RPM_BUILD_ROOT}/bin/gawk || :
strip ${RPM_BUILD_ROOT}%{_prefix}/libexec/awk/* || :

( cd $RPM_BUILD_ROOT
  rm -f .%{_prefix}/info/dir
  gzip -9nf .%{_prefix}/info/gawk.info*
  mkdir -p .%{_prefix}/bin
  ln -sf gawk.1 .%{_prefix}/man/man1/awk.1
  ln -sf /bin/gawk .%{_prefix}/bin/awk
  ln -sf /bin/gawk .%{_prefix}/bin/gawk
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_prefix}/info/gawk.info.gz %{_prefix}/info/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_prefix}/info/gawk.info.gz %{_prefix}/info/dir
fi

%files
%doc README COPYING ACKNOWLEDGMENT FUTURES INSTALL LIMITATIONS NEWS PORTS 
%doc README_d POSIX.STD doc/gawk.ps doc/awkcard.ps
/bin/*
%{_prefix}/bin/*
%{_prefix}/man/man1/*
%{_prefix}/info/gawk.info*
%{_prefix}/libexec/awk
%{_prefix}/share/awk

%changelog
* Wed Jun 30 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.0.4.

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- make sure all binaries are stripped

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Fri Feb 19 1999 Jeff Johnson <jbj@redhat.com>
- Install info pages (#1242).

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1
- don't package /usr/info/dir

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.0.3
- added documentation and buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

